1

When I try "Software Updater" -> "Not All Updates Can Be Installed"

Please tell me is everything ok with the updates?

sudo apt-get update

Ign http://dk.archive.ubuntu.com trusty InRelease
Ign http://dk.archive.ubuntu.com trusty-updates InRelease                      
Ign http://extras.ubuntu.com trusty InRelease                                  
Ign http://ppa.launchpad.net trusty InRelease                                  
Ign http://dk.archive.ubuntu.com trusty-backports InRelease                    
Ign http://dl.google.com stable InRelease                                      
Hit http://extras.ubuntu.com trusty Release.gpg                                
Hit http://dk.archive.ubuntu.com trusty Release.gpg                            
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://dk.archive.ubuntu.com trusty-updates Release.gpg                    
Hit http://dl.google.com stable Release.gpg                                    
Hit http://extras.ubuntu.com trusty Release                                    
Hit http://dk.archive.ubuntu.com trusty-backports Release.gpg                  
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://dk.archive.ubuntu.com trusty Release                                
Hit http://dl.google.com stable Release                                        
Hit http://ppa.launchpad.net trusty Release.gpg                                
Ign http://security.ubuntu.com trusty-security InRelease                       
Hit http://dk.archive.ubuntu.com trusty-updates Release                        
Hit http://extras.ubuntu.com trusty/main Sources                               
Hit http://dk.archive.ubuntu.com trusty-backports Release                      
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://dl.google.com stable/main i386 Packages                             
Hit http://extras.ubuntu.com trusty/main i386 Packages                         
Hit http://dk.archive.ubuntu.com trusty/main Sources                           
Hit http://dk.archive.ubuntu.com trusty/restricted Sources                     
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://dk.archive.ubuntu.com trusty/universe Sources                       
Get:1 http://security.ubuntu.com trusty-security Release.gpg [933 B]           
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Hit http://dk.archive.ubuntu.com trusty/multiverse Sources                     
Hit http://dk.archive.ubuntu.com trusty/main i386 Packages                     
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://dk.archive.ubuntu.com trusty/restricted i386 Packages               
Hit http://dk.archive.ubuntu.com trusty/universe i386 Packages                 
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Get:2 http://security.ubuntu.com trusty-security Release [63.5 kB]             
Hit http://dk.archive.ubuntu.com trusty/multiverse i386 Packages               
Hit http://ppa.launchpad.net trusty/main Translation-en                        
Hit http://dk.archive.ubuntu.com trusty/main Translation-en                    
Hit http://dk.archive.ubuntu.com trusty/multiverse Translation-en              
Ign http://extras.ubuntu.com trusty/main Translation-en_US                     
Hit http://dk.archive.ubuntu.com trusty/restricted Translation-en              
Ign http://extras.ubuntu.com trusty/main Translation-en                        
Ign http://dl.google.com stable/main Translation-en_US                         
Hit http://dk.archive.ubuntu.com trusty/universe Translation-en                
Hit http://dk.archive.ubuntu.com trusty-updates/main Sources                   
Ign http://dl.google.com stable/main Translation-en                            
Hit http://dk.archive.ubuntu.com trusty-updates/restricted Sources             
Get:3 http://security.ubuntu.com trusty-security/main Sources [85.2 kB]
Hit http://dk.archive.ubuntu.com trusty-updates/universe Sources          
Hit http://dk.archive.ubuntu.com trusty-updates/multiverse Sources         
Hit http://dk.archive.ubuntu.com trusty-updates/main i386 Packages         
Hit http://dk.archive.ubuntu.com trusty-updates/restricted i386 Packages   
Hit http://dk.archive.ubuntu.com trusty-updates/universe i386 Packages     
Hit http://dk.archive.ubuntu.com trusty-updates/multiverse i386 Packages   
Hit http://dk.archive.ubuntu.com trusty-updates/main Translation-en        
Hit http://dk.archive.ubuntu.com trusty-updates/multiverse Translation-en  
Hit http://dk.archive.ubuntu.com trusty-updates/restricted Translation-en      
Hit http://dk.archive.ubuntu.com trusty-updates/universe Translation-en        
Hit http://dk.archive.ubuntu.com trusty-backports/main Sources                 
Get:4 http://security.ubuntu.com trusty-security/restricted Sources [2,061 B]  
Hit http://dk.archive.ubuntu.com trusty-backports/restricted Sources           
Hit http://dk.archive.ubuntu.com trusty-backports/universe Sources
Hit http://dk.archive.ubuntu.com trusty-backports/multiverse Sources
Get:5 http://security.ubuntu.com trusty-security/universe Sources [25.7 kB]
Hit http://dk.archive.ubuntu.com trusty-backports/main i386 Packages       
Hit http://dk.archive.ubuntu.com trusty-backports/restricted i386 Packages     
Hit http://dk.archive.ubuntu.com trusty-backports/universe i386 Packages       
Hit http://dk.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Hit http://dk.archive.ubuntu.com trusty-backports/main Translation-en
Get:6 http://security.ubuntu.com trusty-security/multiverse Sources [2,333 B]
Hit http://dk.archive.ubuntu.com trusty-backports/multiverse Translation-en    
Hit http://dk.archive.ubuntu.com trusty-backports/restricted Translation-en
Hit http://dk.archive.ubuntu.com trusty-backports/universe Translation-en
Get:7 http://security.ubuntu.com trusty-security/main i386 Packages [278 kB]
Ign http://dk.archive.ubuntu.com trusty/main Translation-en_US            
Ign http://dk.archive.ubuntu.com trusty/multiverse Translation-en_US      
Ign http://dk.archive.ubuntu.com trusty/restricted Translation-en_US      
Ign http://dk.archive.ubuntu.com trusty/universe Translation-en_US        
Get:8 http://security.ubuntu.com trusty-security/restricted i386 Packages [8,846 B]
Get:9 http://security.ubuntu.com trusty-security/universe i386 Packages [108 kB]
Get:10 http://security.ubuntu.com trusty-security/multiverse i386 Packages [3,841 B]
Hit http://security.ubuntu.com trusty-security/main Translation-en    
Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
Hit http://security.ubuntu.com trusty-security/restricted Translation-en
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Fetched 578 kB in 8s (71.2 kB/s)                                               
Reading package lists... Done

Now running:

sudo apt-get upgrade

gives:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  docbook-xml docbook-xsl gstreamer1.0-alsa icoutils kate-data katepart
  kde-l10n-engb kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools kubuntu-debug-installer libattica0.4
  libbaloocore4 libbaloofiles4 libbalooxapian4 libclucene-core1
  libdbusmenu-qt2 libdlrestrictions1 libepub0 libexiv2-12 libilmbase6
  libkactivities-bin libkactivities-models1 libkactivities6
  libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5
  libkdecore5 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4
  libkexiv2-11 libkexiv2-data libkfile4 libkhtml5 libkidletime4 libkio5
  libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkparts4 libkprintutils4 libkpty4 libkrosscore4 libkscreen1
  libktexteditor4 libkubuntu0 libkxmlrpcclient4 libnepomuk4 libnepomukcleaner4
  libnepomukcore4abi1 libnepomukquery4a libnepomukutils4 libntrack-qt4-1
  libntrack0 libokularcore4 libokularcore5 libopenexr6 libphonon4 libplasma3
  libpolkit-qt-1-1 libpoppler-qt4-4 libqapt2 libqapt2-runtime libqca2
  libqimageblitz4 libqjson0 libqmobipocket1 libqt4-designer libqt4-qt3support
  libqt4-svg libsolid4 libsoprano4 libssh-4 libstreamanalyzer0 libstreams0
  libthreadweaver4 libvirtodbc0 libxcb-randr0 libxml2-utils libzip2
  linux-headers-generic-lts-utopic linux-image-generic-lts-utopic
  nepomuk-core-data nepomuk-core-runtime ntrack-module-libnl-0 odbcinst
  odbcinst1debian2 phonon phonon-backend-gstreamer
  phonon-backend-gstreamer-common phonon-backend-gstreamer1.0
  plasma-scriptengine-javascript qapt-batch sgml-data
  shared-desktop-ontologies soprano-daemon ttf-dejavu-core virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
Use 'apt-get autoremove' to remove them.
The following packages have been kept back:
  kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data kdelibs5-plugins
  kdoctools libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5
  libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4
  libkhtml5 libkidletime4 libkio5 libkjsapi4 libkjsembed4 libkmediaplayer4
  libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkprintutils4
  libkpty4 libkrosscore4 libktexteditor4 libplasma3 libsolid4 libthreadweaver4
  linux-headers-generic-lts-utopic linux-image-generic-lts-utopic
  plasma-scriptengine-javascript
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.

Thanks.

  • 1
    It seems fine, what are the packages, open software updater, click install now and press the details in the bottom left to see the package names, tell me whits one failed – Mark Kirby Jun 13 '15 at 7:08
  • 1
    I don't see any major problem. You can remove those un-used packages by sudo apt-get autoremove. After you have identified which packages are not installed, you can install them one by one using sudo apt-get install <package name> – Ron Jun 13 '15 at 7:26
  • @markkirby I use lubuntu in the window with "Not All Updates Can Be Installed" are three buttons: "Settings" "Partial Upgrade" "Continue" when I press "Continue", it appears a new window "The software on this Computer is up to date" – XPDIN Jun 13 '15 at 7:57
  • @Ron apt-get autoremove E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied) E: Unable to lock the administration directory (/var/lib/dpkg/), are you root? Yes, is my home computer... – XPDIN Jun 13 '15 at 7:57
  • 1
    sudo apt-get autoremove not apt-get autoremove ron said – Mark Kirby Jun 13 '15 at 7:58
1

What are those packages to be autoremoved?

man apt-get

   autoremove
       autoremove is used to remove packages that were automatically
       installed to satisfy dependencies for other packages and are now no
       longer needed.

So it's totally safe to get rid of those unused packages.

Run those commands:

sudo apt-get autoremove
sudo apt-get clean
sudo apt-get update

Then try to upgrade(if availabe):

sudo apt-get dist-upgrade

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.